> For the complete documentation index, see [llms.txt](https://docs.newlandsgate.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.newlandsgate.com/api-documentation/merchant-info.md).

# Merchant Info

## GET /v1/merchants/user

> Get the authenticated merchant's profile information

```json
{"openapi":"3.1.1","info":{"title":"Panda Pay API","version":"1.0"},"servers":[{"url":"https://api.paymentgateway24.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Bearer token (Cognito JWT). Format: Bearer <token>"}},"schemas":{"internal_controller_merchant_v1.Response":{"properties":{"balance":{"type":"string"},"email":{"type":"string"},"enabled_on_ui":{"type":"boolean"},"fiat_balances":{"$ref":"#/components/schemas/v1.FiatBalancesResponse"},"frozen_balance":{"type":"string"},"mfa_enabled":{"type":"boolean"},"name":{"type":"string"},"payment_redirect_url":{"type":"string"},"payout_ttl_sec":{"type":"integer"},"payout_url_callback":{"type":"string"},"percent_tier_1":{"type":"number"},"percent_tier_2":{"type":"number"},"percent_tier_3":{"type":"number"},"percent_tier_4":{"type":"number"},"percent_tier_5":{"type":"number"},"receipt_formats":{"type":"string"},"reverse_integration":{"type":"boolean"},"safety_deposit":{"type":"string"},"status":{"$ref":"#/components/schemas/merchant.Status"},"target_deposit":{"type":"string"},"telegram_id":{"type":"string"},"total_balance":{"type":"string"},"url_callback":{"type":"string"},"uuid":{"type":"string"}},"type":"object"},"v1.FiatBalancesResponse":{"properties":{"balance":{"type":"string"},"currency":{"$ref":"#/components/schemas/currency.Currency"},"frozen_balance":{"type":"string"},"safety_deposit":{"type":"string"},"target_deposit":{"type":"string"},"total_balance":{"type":"string"}},"type":"object"},"currency.Currency":{"enum":["USDT","RUB","AZN","KGS","KZT","TJS","UZS","ARS","TRY","GEL","XOF","KES","XAF","VND","CNY","MNT","LAK","IDR","PHP","BRL"],"type":"string"},"merchant.Status":{"enum":["active","blocked","deleted"],"type":"string"},"models.ErrorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/v1/merchants/user":{"get":{"description":"Get the authenticated merchant's profile information","responses":{"200":{"description":"Merchant profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/internal_controller_merchant_v1.Response"}}}},"401":{"description":"auth token not found or invalid auth token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models.ErrorResponse"}}}},"404":{"description":"Merchant does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models.ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/models.ErrorResponse"}}}}},"tags":["Merchant Info"]}}}}
```
